Subject: ligatures automatiques

From: Jean-Jacques Gerbaud <[email-masked]>
Date: Sat, 14 May 2016 16:18:36 +0200

Bonjour à tous,

Je cherche à appliquer des ligatures de manière automatique à un 
fichier. Depuis que je cherche, j'aurais mieux fait de les placer 
automatiquement avec [ et ] mais ce problème m'intrigue et ce n'est pas 
la 1ère fois. Je vais donc essayer, avec votre aide, de le régler 
définitivement.

voici un petit bout de code :

\version "2.18.2"

\relative c {
	
\set Timing.beamExceptions = #'()		% désactivation de la ligature 
automatique
\set Timing.baseMoment = #(ly:make-moment 1/4)    % 4 temps par mesure ( 
noires)
\set Timing.beatStructure =#'( 2 2 2 2 )		% chaque temps est composé de 
2 cr.

        \time 4/4
        \key f \major
        \clef "bass"

bes'8 d e, c' a c d, bes' | g bes cis, a' f d' r fis, |
}

Les commandes ci-dessus sont celles que j'ai trouvées dans le manuel. 
que je rappelle ci-après :
\relative {
   \time 4/4
   a'8^"default" a a a a a a a
   % Disable beamExceptions because they are definitely
   % defined for 4/4 time
   \set Timing.beamExceptions = #'()
   \set Timing.baseMoment = #(ly:make-moment 1/4)
   \set Timing.beatStructure =#'(1 1 1 1)   ===> je remarque que, ici, 
on demande expressément 4 temps alors que c'est un chiffrage de base, 
par défaut. (Mais je me trompe peut être !)
   a8^"changed" a a a a a a a
}

Et, dans la partie "changed", les croches sont effectivement liées par 2 
(ce que je souhaite)

Quoi qu'il en soit, J'i beau mettre le même schéma dans mon fichier, les 
croches restent liées par 4.

Nota, j'en profite pour signaler qu'il semble y avoir deux erreurs dans 
le code de lilypond :

pour "Timing.beatStructure =" il faut une # ,une apostrophe après le 
signe = et une parenthèse ouvrante et fermante. Je remarque qu'il n'y en 
a pas après le baseMoment. (mais je n'insiste pas trop la dessus parce 
que je sais que la grammaire de Lilypond est fine et compliquée et ce 
que je pense être une erreur, n'en est peut être pas :-)

Enfin, je me pose la question de savoir si, dans un même fichier en 4/4, 
je souhaiterais avoir des croches liées par 2 (2 2 2 2), puis par 3 (3 3 
2) et enfin par 4 (4 4).

Jusqu'à présent, je m'étais peu soucié des ligatures automatiques mais 
je souhaiterais quand même en savoir maintenant un peu plus.

Merci de votre aide
-- 
JJG
Ecoutez la musique "classique", ça détend !
découvrez l'histoire de votre famille : http://memoire-des-hommes.fr/

---

From: Pierre Perol-Schneider <[email-masked]>
Date: Tue, 17 May 2016 13:27:09 +0200

Bonjour Jean-Jacques,

Mes réponses en remarques dans le code :

\version "2.18.2"

\relative c {

  \time 4/4
  % => la se met "avant" les réglages ('settings')

  % => OK

  %\set Timing.baseMoment = #(ly:make-moment 1/4) % 4 temps par mesure (
noires)
  % => OK, mais inutile ici car elle est déjà définie ainsi dans \time 4/4

  \set Timing.beatStructure =#'(1 1 1 1) % chaque temps est composé de 2 cr.
  %% OK mais j'aurai écrit "chaque temps est composé d'1 noire" pour être
cohérent avec la métrique.

  %\time 4/4
  % => non, en la mettant ici on annule les réglages précédents

  \key f \major
  \clef "bass"

Cordialement,
Pierre

PS. La question a mis 3 jours a être dispatchée sur la liste. Hmm,
bizarre...

Le 14 mai 2016 à 16:18, Jean-Jacques Gerbaud <[email-masked]> a écrit :

> Bonjour à tous,
>
> Je cherche à appliquer des ligatures de manière automatique à un fichier.
> Depuis que je cherche, j'aurais mieux fait de les placer automatiquement
> avec [ et ] mais ce problème m'intrigue et ce n'est pas la 1ère fois. Je
> vais donc essayer, avec votre aide, de le régler définitivement.
>
> \set Timing.beamExceptions = #'()               % désactivation de la
> ligature automatique
> \set Timing.beatStructure =#'( 2 2 2 2 )                % chaque temps est
> composé de 2 cr.
>
>        \time 4/4
>        \key f \major
>        \clef "bass"
>
> Les commandes ci-dessus sont celles que j'ai trouvées dans le manuel. que
> je rappelle ci-après :
> \relative {
>   \time 4/4
>   \set Timing.beatStructure =#'(1 1 1 1)   ===> je remarque que, ici, on
> demande expressément 4 temps alors que c'est un chiffrage de base, par
> défaut. (Mais je me trompe peut être !)
> Nota, j'en profite pour signaler qu'il semble y avoir deux erreurs dans le
> code de lilypond :
>
> pour "Timing.beatStructure =" il faut une # ,une apostrophe après le signe
> = et une parenthèse ouvrante et fermante. Je remarque qu'il n'y en a pas
> après le baseMoment. (mais je n'insiste pas trop la dessus parce que je
> sais que la grammaire de Lilypond est fine et compliquée et ce que je pense
> être une erreur, n'en est peut être pas :-)
>
> je souhaiterais avoir des croches liées par 2 (2 2 2 2), puis par 3 (3 3 2)
> et enfin par 4 (4 4).
>
> Jusqu'à présent, je m'étais peu soucié des ligatures automatiques mais je
> souhaiterais quand même en savoir maintenant un peu plus.
>
> Merci de votre aide
> --
> JJG
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>